org.bouncycastle.asn1.pkcs

## Class AuthenticatedSafe

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.pkcs.AuthenticatedSafe

All Implemented Interfaces:
  DEREncodable

    public class AuthenticatedSafe
    extends ASN1Encodable

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Constructor Summary

Constructors
Constructor and Description
`AuthenticatedSafe(ASN1Sequence seq)`
`AuthenticatedSafe(ContentInfo[] info)`

### Method Summary

Methods
`ContentInfo[]` `getContentInfo()`
`DERObject` `toASN1Object()`

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AuthenticatedSafe

    public AuthenticatedSafe(ASN1Sequence seq)

#### AuthenticatedSafe

    public AuthenticatedSafe(ContentInfo[] info)

### Method Detail

#### getContentInfo

    public ContentInfo[] getContentInfo()

#### toASN1Object

    public DERObject toASN1Object()

Specified by:
  `toASN1Object` in class `ASN1Encodable`